PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_spotri_Tile | ( | PLASMA_enum | uplo,
|  | PLASMA_desc * | A
| ) |  |

PLASMA_spotri_Tile - Computes the inverse of a complex Hermitian positive definite matrix A using the Cholesky factorization A = U**T*U or A = L*L**T computed by PLASMA_spotrf. Tile equivalent of PLASMA_spotri(). Operates on matrices stored by tiles. All matrices are passed through descriptors. All dimensions are taken from the descriptors.

Parameters

  [in] | uplo | = PlasmaUpper: Upper triangle of A is stored; = PlasmaLower: Lower triangle of A is stored.
  [in] | A | On entry, the triangular factor U or L from the Cholesky factorization A = U**T*U or A = L*L**T, as computed by PLASMA_spotrf. On exit, the upper or lower triangle of the (Hermitian) inverse of A, overwriting the input factor U or L.

Returns

Return values

  PLASMA_SUCCESS | successful exit
  >0 | if i, the leading minor of order i of A is not positive definite, so the factorization could not be completed, and the solution has not been computed.

See also
  PLASMA_spotri
  PLASMA_spotri_Tile_Async
  PLASMA_cpotri_Tile
  PLASMA_dpotri_Tile
  PLASMA_spotri_Tile
  PLASMA_spotrf_Tile